package com.zcloud.service.risk.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.risk.IdeRepositoryMapper;
import com.zcloud.service.risk.IdeRepositoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：辨识部位资源库
 * 作者：luoxiaobao
 * 时间：2021-03-22
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class IdeRepositoryServiceImpl implements IdeRepositoryService {

	@Autowired
	private IdeRepositoryMapper iderepositoryMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		iderepositoryMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		iderepositoryMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		iderepositoryMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return iderepositoryMapper.datalistPage(page);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> reslist(Page page)throws Exception{
		return iderepositoryMapper.resdatalistPage(page);
	}


	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return iderepositoryMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return iderepositoryMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		iderepositoryMapper.deleteAll(ArrayDATA_IDS);
	}

	/**按照IDs  查询资源库
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public List<PageData> listAllByIds(String[] ArrayDATA_IDS)throws Exception{
		return iderepositoryMapper.listAllByIds(ArrayDATA_IDS);
	}

	public int checkHas(PageData pd)throws Exception{
		return iderepositoryMapper.checkHas(pd);
	}

}

